package it.unibo.tw0809.util;

import java.io.FileInputStream;
import java.io.FileNotFoundException;

import org.xml.sax.InputSource;

public class MyResolver
extends MyHandler {

	String dtd_filename;

	// --------------------------------
	
	public MyResolver(StringBuffer result, String dtd_filename) {
		super(result);
		this.dtd_filename = dtd_filename;
	}

	// --------------------------------

	public InputSource resolveEntity(String publicId, String systemId) {
		if (systemId.contains(".dtd")) {
			try {
				return new InputSource(new FileInputStream(dtd_filename));
			}
			catch (FileNotFoundException e) {
				throw new RuntimeException(e.getMessage());
			}
		}
		else {
			return null;
		}
	}
	
}
