package it.unibo.tw0809.util;
import java.io.BufferedReader;
import java.io.File;

public class FileUtil {

	public static String readFile(String absolute_filename) {
		if ( ! new File(absolute_filename).exists() )
			return null;
		try {
			BufferedReader in = 
				new BufferedReader(
					new java.io.FileReader(
						absolute_filename
					)
				);
			String result = "";
			String tmp = null;
			while ( ( tmp = in.readLine() ) != null ) {
				result += tmp;
			}
			in.close();
			return result;
		}
		catch (Exception e) {
			e.printStackTrace();
			return null;
		}
	}

	public static void printFileContent(String absolute_filename) {
		System.out.println();
		System.out.println(readFile(absolute_filename));
		System.out.println();
	}

}
